diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/core/model/test.h ns-3.44/src/core/model/test.h
--- ns-3.43/src/core/model/test.h	2024-10-09 16:41:09.864655700 -0700
+++ ns-3.44/src/core/model/test.h	2025-03-09 16:55:49.363371100 -0700
@@ -1228,22 +1228,22 @@
 
     // methods called by TestRunnerImpl
     /**
-     * \brief Executes DoSetup(), DoRun(), and DoTeardown() for the TestCase
+     * @brief Executes DoSetup(), DoRun(), and DoTeardown() for the TestCase
      *
      * Config::Reset() is called at both the beginning and end of this method
      * so that any changes to attribute default values (Config::SetDefault(...))
      * or global values (e.g., RngRun) that are made within the test case's
      * DoRun() method do not propagate beyond the scope of running the TestCase.
      *
-     * \param [in] runner The test runner implementation.
+     * @param [in] runner The test runner implementation.
      */
     void Run(TestRunnerImpl* runner);
-    /** \copydoc IsStatusFailure() */
+    /** @copydoc IsStatusFailure() */
     bool IsFailed() const;
 
     /**
-     * \ingroup testingimpl
-     * \brief Container for results from a TestCase.
+     * @ingroup testingimpl
+     * @brief Container for results from a TestCase.
      */
     struct Result;
 
@@ -1257,18 +1257,18 @@
 };
 
 /**
- * \ingroup testing
+ * @ingroup testing
  *
- * \brief A suite of tests to run.
+ * @brief A suite of tests to run.
  *
- * \see sample-test-suite.cc
+ * @see sample-test-suite.cc
  */
 class TestSuite : public TestCase
 {
   public:
     /**
-     * \enum Type
-     * \brief Type of test.
+     * @enum Type
+     * @brief Type of test.
      */
     enum class Type
     {
@@ -1298,17 +1298,17 @@
     /**@}*/
 
     /**
-     * \brief Construct a new test suite.
+     * @brief Construct a new test suite.
      *
-     * \param [in] name The name of the test suite.
-     * \param [in] type The TestType of the test suite (defaults to UNIT test).
+     * @param [in] name The name of the test suite.
+     * @param [in] type The TestType of the test suite (defaults to UNIT test).
      */
     TestSuite(std::string name, Type type = Type::UNIT);
 
     /**
-     * \brief get the kind of test this test suite implements
+     * @brief get the kind of test this test suite implements
      *
-     * \returns The Type of the suite.
+     * @returns The Type of the suite.
      */
     TestSuite::Type GetTestType();
 
@@ -1320,9 +1320,9 @@
 };
 
 /**
- * \ingroup testingimpl
+ * @ingroup testingimpl
  *
- * \brief A runner to execute tests.
+ * @brief A runner to execute tests.
  */
 class TestRunner
 {
@@ -1331,17 +1331,17 @@
      * Run the requested suite of tests,
      * according to the given command line arguments.
      *
-     * \param [in] argc The number of elements in \pname{argv}
-     * \param [in] argv The vector of command line arguments
-     * \returns Success status
+     * @param [in] argc The number of elements in \pname{argv}
+     * @param [in] argv The vector of command line arguments
+     * @returns Success status
      */
     static int Run(int argc, char* argv[]);
 };
 
 /**
- * \ingroup testing
+ * @ingroup testing
  *
- * \brief A simple way to store test vectors (for stimulus or from responses)
+ * @brief A simple way to store test vectors (for stimulus or from responses)
  */
 template <typename T>
 class TestVectors
@@ -1361,33 +1361,33 @@
     TestVectors& operator=(const TestVectors&) = delete;
 
     /**
-     * \brief Set the expected length of this vector.
+     * @brief Set the expected length of this vector.
      *
-     * \param [in] reserve The number of entries to reserve
+     * @param [in] reserve The number of entries to reserve
      */
     void Reserve(uint32_t reserve);
 
     /**
-     * \param [in] vector The test vector to add
+     * @param [in] vector The test vector to add
      *
-     * \returns The new test vector index
+     * @returns The new test vector index
      */
     std::size_t Add(T vector);
 
     /**
-     * \brief Get the total number of test vectors.
-     * \return The number of test vectors
+     * @brief Get the total number of test vectors.
+     * @return The number of test vectors
      */
     std::size_t GetN() const;
     /**
-     * \brief Get the i'th test vector
-     * \param [in] i The requested vector index
-     * \return The requested vector
+     * @brief Get the i'th test vector
+     * @param [in] i The requested vector index
+     * @return The requested vector
      */
     T Get(std::size_t i) const;
 
     /**
-     * \return The underlying data structure begin iterator
+     * @return The underlying data structure begin iterator
      */
     typename std::vector<T>::iterator begin()
     {
@@ -1395,7 +1395,7 @@
     }
 
     /**
-     * \return The underlying data structure end iterator
+     * @return The underlying data structure end iterator
      */
     typename std::vector<T>::iterator end()
     {
@@ -1403,7 +1403,7 @@
     }
 
     /**
-     * \return The underlying data structure const begin iterator
+     * @return The underlying data structure const begin iterator
      */
     typename std::vector<T>::const_iterator begin() const
     {
@@ -1411,7 +1411,7 @@
     }
 
     /**
-     * \return The underlying data structure const end iterator
+     * @return The underlying data structure const end iterator
      */
     typename std::vector<T>::const_iterator end() const
     {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/core/model/time.cc ns-3.44/src/core/model/time.cc
--- ns-3.43/src/core/model/time.cc	2024-10-09 16:41:09.864655700 -0700
+++ ns-3.44/src/core/model/time.cc	2025-03-09 16:55:49.363371100 -0700
@@ -17,8 +17,8 @@
 #include <sstream>
 
 /**
- * \file
- * \ingroup time
+ * @file
+ * @ingroup time
  * ns3::Time, ns3::TimeWithUnit
  * and ns3::TimeValue attribute value implementations.
  */
@@ -42,8 +42,8 @@
 
 /**
  * Scale a unit to the smallest unit.
- * \param u The unit to scale
- * \returns The value of \pname{u} in terms of the smallest defined unit.
+ * @param u The unit to scale
+ * @returns The value of \pname{u} in terms of the smallest defined unit.
  */
 long double
 Scale(Time::Unit u)
@@ -53,7 +53,7 @@
 
 /**
  * Initializer for \c UNIT_VALUE
- * \returns The array of scale factors between units.
+ * @returns The array of scale factors between units.
  */
 long double*
 InitUnitValue()
@@ -285,7 +285,7 @@
 Time::ClearMarkedTimes()
 {
     /**
-     * \internal
+     * @internal
      *
      * We're called by Simulator::Run, which knows nothing about the mutex,
      * so we need a critical section here.
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/core/model/time-printer.cc ns-3.44/src/core/model/time-printer.cc
--- ns-3.43/src/core/model/time-printer.cc	2024-10-09 16:41:09.864655700 -0700
+++ ns-3.44/src/core/model/time-printer.cc	2025-03-09 16:55:49.363371100 -0700
@@ -15,8 +15,8 @@
 #include <iomanip>
 
 /**
- * \file
- * \ingroup time
+ * @file
+ * @ingroup time
  * ns3::DefaultTimePrinter implementation.
  */
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/core/model/time-printer.h ns-3.44/src/core/model/time-printer.h
--- ns-3.43/src/core/model/time-printer.h	2024-10-09 16:41:09.864655700 -0700
+++ ns-3.44/src/core/model/time-printer.h	2025-03-09 16:55:49.363371100 -0700
@@ -11,8 +11,8 @@
 #include <ostream>
 
 /**
- * \file
- * \ingroup time
+ * @file
+ * @ingroup time
  * Declaration of ns3::TimePrinter function pointer type
  * and ns3::DefaultTimePrinter function.
  */
@@ -27,14 +27,14 @@
  * A TimePrinter should write the current simulation time
  * (Simulator::Now()) on the designated output stream.
  *
- * \param [in,out] os The output stream to print on.
+ * @param [in,out] os The output stream to print on.
  */
 typedef void (*TimePrinter)(std::ostream& os);
 
 /**
  * Default Time printer.
  *
- * \param [in,out] os The output stream to print on.
+ * @param [in,out] os The output stream to print on.
  */
 void DefaultTimePrinter(std::ostream& os);
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/core/model/timer.cc ns-3.44/src/core/model/timer.cc
--- ns-3.43/src/core/model/timer.cc	2024-10-09 16:41:09.864655700 -0700
+++ ns-3.44/src/core/model/timer.cc	2025-03-09 16:55:49.363371100 -0700
@@ -12,8 +12,8 @@
 #include "simulator.h"
 
 /**
- * \file
- * \ingroup timer
+ * @file
+ * @ingroup timer
  * ns3::Timer implementation.
  */
 
@@ -24,7 +24,7 @@
 
 Timer::Timer()
     : m_flags(CHECK_ON_DESTROY),
-      m_delay(FemtoSeconds(0)),
+      m_delay(),
       m_event(),
       m_impl(nullptr)
 {
@@ -33,7 +33,7 @@
 
 Timer::Timer(DestroyPolicy destroyPolicy)
     : m_flags(destroyPolicy),
-      m_delay(FemtoSeconds(0)),
+      m_delay(),
       m_event(),
       m_impl(nullptr)
 {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/core/model/timer.h ns-3.44/src/core/model/timer.h
--- ns-3.43/src/core/model/timer.h	2024-10-09 16:41:09.864655700 -0700
+++ ns-3.44/src/core/model/timer.h	2025-03-09 16:55:49.363371100 -0700
@@ -13,8 +13,8 @@
 #include "nstime.h"
 
 /**
- * \file
- * \ingroup timer
+ * @file
+ * @ingroup timer
  * ns3::Timer class declaration.
  */
 
@@ -22,8 +22,8 @@
 {
 
 /**
- * \ingroup core
- * \defgroup timer Virtual Time Timer and Watchdog
+ * @ingroup core
+ * @defgroup timer Virtual Time Timer and Watchdog
  *
  * The Timer and Watchdog objects both facilitate scheduling functions
  * to execute a specified virtual time in the future.
@@ -46,8 +46,8 @@
 } // namespace internal
 
 /**
- * \ingroup timer
- * \brief A simple virtual Timer class
+ * @ingroup timer
+ * @brief A simple virtual Timer class
  *
  * A (virtual time) timer is used to hold together a delay, a function to invoke
  * when the delay expires, and a set of arguments to pass to the function
@@ -61,7 +61,7 @@
  * management policies. These policies are specified at construction time
  * and cannot be changed after.
  *
- * \see Watchdog for a simpler interface for a watchdog timer.
+ * @see Watchdog for a simpler interface for a watchdog timer.
  */
 class Timer
 {
@@ -111,15 +111,15 @@
      */
     Timer();
     /**
-     * \param [in] destroyPolicy the event lifetime management policies
+     * @param [in] destroyPolicy the event lifetime management policies
      * to use for destroy events
      */
     Timer(DestroyPolicy destroyPolicy);
     ~Timer();
 
     /**
-     * \tparam FN \deduced The type of the function.
-     * \param [in] fn the function
+     * @tparam FN \deduced The type of the function.
+     * @param [in] fn the function
      *
      * Store this function in this Timer for later use by Timer::Schedule.
      */
@@ -127,10 +127,10 @@
     void SetFunction(FN fn);
 
     /**
-     * \tparam MEM_PTR \deduced The type of the class member function.
-     * \tparam OBJ_PTR \deduced The type of the class instance pointer.
-     * \param [in] memPtr the member function pointer
-     * \param [in] objPtr the pointer to object
+     * @tparam MEM_PTR \deduced The type of the class member function.
+     * @tparam OBJ_PTR \deduced The type of the class instance pointer.
+     * @param [in] memPtr the member function pointer
+     * @param [in] objPtr the pointer to object
      *
      * Store this function and object in this Timer for later use by
      * Timer::Schedule.
@@ -139,8 +139,8 @@
     void SetFunction(MEM_PTR memPtr, OBJ_PTR objPtr);
 
     /**
-     * \tparam Ts \deduced Argument types
-     * \param [in] args arguments
+     * @tparam Ts \deduced Argument types
+     * @param [in] args arguments
      *
      * Store these arguments in this Timer for later use by Timer::Schedule.
      */
@@ -148,17 +148,17 @@
     void SetArguments(Ts... args);
 
     /**
-     * \param [in] delay The delay
+     * @param [in] delay The delay
      *
      * The next call to Schedule will schedule the timer with this delay.
      */
     void SetDelay(const Time& delay);
     /**
-     * \returns The currently-configured delay for the next Schedule.
+     * @returns The currently-configured delay for the next Schedule.
      */
     Time GetDelay() const;
     /**
-     * \returns The amount of time left until this timer expires.
+     * @returns The amount of time left until this timer expires.
      *
      * This method returns zero if the timer is in EXPIRED state.
      */
@@ -174,22 +174,22 @@
      */
     void Remove();
     /**
-     * \return \c true if there is no currently-running event,
+     * @return \c true if there is no currently-running event,
      * \c false otherwise.
      */
     bool IsExpired() const;
     /**
-     * \return \c true if there is a currently-running event,
+     * @return \c true if there is a currently-running event,
      * \c false otherwise.
      */
     bool IsRunning() const;
     /**
-     * \returns \c true if this timer was suspended and not yet resumed,
+     * @returns \c true if this timer was suspended and not yet resumed,
      * \c false otherwise.
      */
     bool IsSuspended() const;
     /**
-     * \returns The current state of the timer.
+     * @returns The current state of the timer.
      */
     Timer::State GetState() const;
     /**
@@ -198,7 +198,7 @@
      */
     void Schedule();
     /**
-     * \param [in] delay the delay to use
+     * @param [in] delay the delay to use
      *
      * Schedule a new event using the specified delay (ignore the delay set by
      * Timer::SetDelay), function, and arguments.
@@ -232,7 +232,7 @@
     /**
      * Bitfield for Timer State, DestroyPolicy and InternalSuspended.
      *
-     * \internal
+     * @internal
      * The DestroyPolicy, State and InternalSuspended state are stored
      * in this single bitfield.  The State uses the low-order bits,
      * so the other users of the bitfield have to be careful in defining
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/core/model/timer-impl.h ns-3.44/src/core/model/timer-impl.h
--- ns-3.43/src/core/model/timer-impl.h	2024-10-09 16:41:09.864655700 -0700
+++ ns-3.44/src/core/model/timer-impl.h	2025-03-09 16:55:49.363371100 -0700
@@ -15,9 +15,9 @@
 #include <type_traits>
 
 /**
- * \file
- * \ingroup timer
- * \ingroup timerimpl
+ * @file
+ * @ingroup timer
+ * @ingroup timerimpl
  * ns3::TimerImpl declaration and implementation.
  */
 
@@ -28,7 +28,7 @@
 {
 
 /**
- * \ingroup timer
+ * @ingroup timer
  * The timer implementation underlying Timer and Watchdog.
  */
 class TimerImpl
@@ -42,8 +42,8 @@
     /**
      * Set the arguments to be used when invoking the expire function.
      *
-     * \tparam Args \deduced Type template parameter pack
-     * \param [in] args The arguments to pass to the invoked method
+     * @tparam Args \deduced Type template parameter pack
+     * @param [in] args The arguments to pass to the invoked method
      */
     template <typename... Args>
     void SetArgs(Args... args);
@@ -51,8 +51,8 @@
     /**
      * Schedule the callback for a future time.
      *
-     * \param [in] delay The amount of time until the timer expires.
-     * \returns The scheduled EventId.
+     * @param [in] delay The amount of time until the timer expires.
+     * @returns The scheduled EventId.
      */
     virtual EventId Schedule(const Time& delay) = 0;
     /** Invoke the expire function. */
@@ -64,8 +64,8 @@
  ********************************************************************/
 
 /**
- * \ingroup timer
- * \defgroup timerimpl TimerImpl Implementation
+ * @ingroup timer
+ * @defgroup timerimpl TimerImpl Implementation
  * @{
  */
 /** TimerImpl specialization class for varying numbers of arguments. */
@@ -75,7 +75,7 @@
     /**
      * Bind the arguments to be used when the callback function is invoked.
      *
-     * \param [in] args The arguments to pass to the invoked method.
+     * @param [in] args The arguments to pass to the invoked method.
      */
     virtual void SetArguments(Args... args) = 0;
 };
@@ -83,9 +83,9 @@
 /**
  * Make a TimerImpl from a function pointer taking varying numbers of arguments.
  *
- * \tparam U \deduced Return type of the callback function.
- * \tparam Ts \deduced Argument types of the callback function.
- * \returns The TimerImpl.
+ * @tparam U \deduced Return type of the callback function.
+ * @tparam Ts \deduced Argument types of the callback function.
+ * @returns The TimerImpl.
  */
 template <typename U, typename... Ts>
 TimerImpl*
@@ -126,13 +126,13 @@
  * Make a TimerImpl from a class method pointer taking
  * a varying number of arguments.
  *
- * \tparam OBJ_PTR \deduced Class type.
- * \tparam U \deduced Class method function return type.
- * \tparam V \deduced Class method function class type.
- * \tparam Ts \deduced Class method function argument types.
- * \param [in] memPtr Class method to invoke when the timer expires.
- * \param [in] objPtr Object instance pointer.
- * \returns The TimerImpl.
+ * @tparam OBJ_PTR \deduced Class type.
+ * @tparam U \deduced Class method function return type.
+ * @tparam V \deduced Class method function class type.
+ * @tparam Ts \deduced Class method function argument types.
+ * @param [in] memPtr Class method to invoke when the timer expires.
+ * @param [in] objPtr Object instance pointer.
+ * @returns The TimerImpl.
  */
 template <typename OBJ_PTR, typename U, typename V, typename... Ts>
 TimerImpl*
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/core/model/traced-callback.h ns-3.44/src/core/model/traced-callback.h
--- ns-3.43/src/core/model/traced-callback.h	2024-10-09 16:41:09.864655700 -0700
+++ ns-3.44/src/core/model/traced-callback.h	2025-03-09 16:55:49.363371100 -0700
@@ -14,8 +14,8 @@
 #include <list>
 
 /**
- * \file
- * \ingroup tracing
+ * @file
+ * @ingroup tracing
  * ns3::TracedCallback declaration and template implementation.
  */
 
@@ -23,8 +23,8 @@
 {
 
 /**
- * \ingroup tracing
- * \brief Forward calls to a chain of Callback
+ * @ingroup tracing
+ * @brief Forward calls to a chain of Callback
  *
  * A TracedCallback has almost exactly the same API as a normal
  * Callback but instead of forwarding calls to a single function
@@ -36,7 +36,7 @@
  * calling the \c operator() form with the appropriate
  * number of arguments.
  *
- * \tparam Ts \explicit Types of the functor arguments.
+ * @tparam Ts \explicit Types of the functor arguments.
  */
 template <typename... Ts>
 class TracedCallback
@@ -47,7 +47,7 @@
     /**
      * Append a Callback to the chain (without a context).
      *
-     * \param [in] callback Callback to add to chain.
+     * @param [in] callback Callback to add to chain.
      */
     void ConnectWithoutContext(const CallbackBase& callback);
     /**
@@ -56,39 +56,39 @@
      * The context string will be provided as the first argument
      * to the Callback.
      *
-     * \param [in] callback Callback to add to chain.
-     * \param [in] path Context string to provide when invoking the Callback.
+     * @param [in] callback Callback to add to chain.
+     * @param [in] path Context string to provide when invoking the Callback.
      */
     void Connect(const CallbackBase& callback, std::string path);
     /**
      * Remove from the chain a Callback which was connected without a context.
      *
-     * \param [in] callback Callback to remove from the chain.
+     * @param [in] callback Callback to remove from the chain.
      */
     void DisconnectWithoutContext(const CallbackBase& callback);
     /**
      * Remove from the chain a Callback which was connected with a context.
      *
-     * \param [in] callback Callback to remove from the chain.
-     * \param [in] path Context path which was used to connect the Callback.
+     * @param [in] callback Callback to remove from the chain.
+     * @param [in] path Context path which was used to connect the Callback.
      */
     void Disconnect(const CallbackBase& callback, std::string path);
     /**
-     * \brief Functor which invokes the chain of Callbacks.
-     * \tparam Ts \deduced Types of the functor arguments.
-     * \param [in] args The arguments to the functor
+     * @brief Functor which invokes the chain of Callbacks.
+     * @tparam Ts \deduced Types of the functor arguments.
+     * @param [in] args The arguments to the functor
      */
     void operator()(Ts... args) const;
     /**
-     * \brief Checks if the Callbacks list is empty.
-     * \return true if the Callbacks list is empty.
+     * @brief Checks if the Callbacks list is empty.
+     * @return true if the Callbacks list is empty.
      */
     bool IsEmpty() const;
 
     /**
      *  TracedCallback signature for POD.
      *
-     * \param [in] value Value of the traced variable.
+     * @param [in] value Value of the traced variable.
      * @{
      */
     // Uint32Callback appears to be the only one used at the moment.
@@ -100,7 +100,7 @@
     /**
      * Container type for holding the chain of Callbacks.
      *
-     * \tparam Ts \deduced Types of the functor arguments.
+     * @tparam Ts \deduced Types of the functor arguments.
      */
     typedef std::list<Callback<void, Ts...>> CallbackList;
     /** The chain of Callbacks. */
